html{
    scroll-behavior: smooth;
}

body{
    margin-left: 0;
    margin-right: 0;
    font-family: Bodoni;
    font-size: 17px;
    overflow-x: hidden;
    background-color: beige;
    color: #000;
}

*,::after, ::before{
    box-sizing: border-box;
}

#nav{
    display: flex;
    flex-direction: row;
    background-color: beige;
    position: fixed;
    top: 0;
    width: 100%;
    height: 80px;
    /*padding-top: 16px;*/
    padding-left: 0px;
    /*padding-bottom: 16px;*/
    z-index: 3;
    justify-content: space-between;
    align-items: center;

}





.menu-toggle {
    display: none;
    font-size: 24px;
    background: none;
    border: none;
    color: #666;
    cursor: pointer;
    padding-top: 19px;
    padding-right: 2.5rem;
    padding-bottom: 15px;
    text-align: center;
}




.nav-link{
    text-decoration: none;
    color: #000;
    margin-right: 2.5rem;
    font-size: 20px;
    border-bottom: 2px solid transparent;
    transition: all .5s;
}



.nav-link:hover{
    border-bottom: 2px solid #a85a29;
    transform: scale(1.05);
}

.nav-link-wrap {
    display: flex;
    list-style: none;
}



.mainLogo{
    color: black;
    font-size: 24px;
}




.heroSect{
    max-width: 1000px;
    height: 500px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden; /* Prevents content from escaping */
}

.heroImg{
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    object-position: 50% 63%;
    border-radius: 20px;
}

.heroContent{
    max-width: 60%;
    width: 60%;
    color: white;
    position: absolute;
    font-size: 27px;
    border-radius: 10px;
    padding-bottom: 20px;
    text-align: center;
}



#my_hdr{
    transition: transform 0.5s ease, opacity 0.5s ease;
}

.hidden {
    transform: translateX(-20px); /* Moves text up */
    opacity: 0; /* Fades out */
}
/*
.hero-content button{
    margin-top: 20px;

}*/

.heroContent h1{
    text-shadow: 2px 1px 2px black;
}

.bg_blck{
    background-color: black;
    color: beige;
}


.pz{
    padding-left: 40px;
    padding-right: 40px;
}

.imgsize{
    display: none;
    width: 500px;
    height: auto;
    /*padding-bottom: 50px;*/
   transition: all 0.3s ease-in-out;
}

.border_top_left{
    border-top-left-radius: 70px;
}

.border_top_right{
    border-bottom-right-radius: 70px;
}

.imgsize:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0,0,0,0.7);
}

.scndimg{
    background: black;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden; /* Prevents content from escaping */
}



#article{
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 3s ease-out, transform 3s ease-out;
  
}

#article.visible {
  opacity: 1;
  transform: translateY(0);
}



.service h2{
    text-align: center;
}


.card {
  width: 100%;
  padding: 40px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  text-align: center;
  background: black;
  color: white;
  cursor: pointer;
}

.card img {
  width: 100%;
  border-radius: 8px;
  z-index: 2;
}

.card h3 {
  margin-top: 10px;
  font-size: 20px;
  color: beige;
}

.card p {
  color: #b6b6b6;
}

/*
.card button {
  margin-top: 10px;
  padding: 8px 15px;
  border: none;
  background: beige;
  color: black;
  cursor: pointer;
  border-radius: 5px;
}*/


.card {
    transition: all 0.3s ease-in-out;
}

.card:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0,0,0,0.4);
}

.gap{
    gap: 30px;
}

.date{
    text-align: center;
    padding-bottom: 10px;
}


.address{
    font-family: inherit;
    padding-top: 2rem;
}


.txtCntr{
    text-align: center;
}

.justfyCntr{
    justify-content: center;
}

.txt_decoration_none{
    text-decoration: none;
}


.scale{
    transition: all 0.3s ease-in-out;
}

.scale:hover{
  transform: scale(1.15);
}

/*.mt{
    margin-top: 40px;
}*/



.px_2{
    padding-left: 40px;
    padding-right: 40px;
}

.mb{
    margin-top: 40px;
    margin-bottom: -10px;
}

.mb_n{
    margin-bottom: -10px;
}
.mn{
    margin-top: -20px;
}

.pmoni{
    margin-bottom: 80px;
}


.align{
    align-items: center;
    justify-content: center;
    margin-top: -84px;
}

.artalign{
    padding-top: 175px;
    text-align: center;
}

.no{
    padding-left: 7px;
}

.bg_ash{
    color: beige;
    background-color: #666;

}

.bg_light_brwn{
    background-color: #fddab7;
}

.mz{
    margin-top: -15px;
    margin-bottom: -10px;
}

.px_1 {
    padding-left: 15px;
    padding-right: 15px;
}


.pb_1{
    padding-bottom: 1rem;
}

.pt_1{
    padding-top: 1rem;
}


.pt_2{
    padding-top: 2rem;
}

.pt_3{
    padding-top: 3rem;
}

.pt_4{
    padding-top: 4rem;
}

.pt_5{
    padding-top: 5rem;
}

.pt_6{
    padding-top: 6rem;
}

.pt_7{
    padding-top: 7rem;
}

.pt_8{
    padding-top: 8rem;
}

.pb_1{
    padding-bottom: 1rem;
}

.pb_2{
    padding-bottom: 2rem;
}

.pb_3{
    padding-bottom: 3rem;
}

.pb_4{
    padding-bottom: 4rem;
}

.pb_5{
    padding-bottom: 5rem;
}

.pb_6{
    padding-bottom: 6rem;
}

.pl_1{
    padding-left: 1rem;
}

.pl_2{
    padding-left: 2rem;
}

.pl_3{
    padding-left: 3rem;
}

.pl_4{
    padding-left: 4rem;
}

.mt_05{
    margin-top: 0.5rem;
}
.mt_1{
    margin-top: 1rem;
}

.mt_2{
    margin-top: 2rem;
}

.mt_5{
    margin-top: 5rem;
}

.mb_4{
    margin-bottom: 4rem;
}

.mb_2{
    margin-bottom: 2rem;
}

.mb_n2{
    margin-bottom: -2rem;
}

.mt_n1{
    margin-top: -1rem;
}

.mt_n2{
    margin-top: -2rem;
}

.mt_n4{
    margin-top: -4rem;
}

.mt_n5{
    margin-top: -5rem;
}




.ml_1{
    margin-left: 1rem;
}

.px_4{
    padding-left: 4.6rem;
    padding-right: 4.6rem;
}

.fntsize_25{
    font-size: 25px;
}

.align_cntr{
    align-items: center;
}



.mb_n1{
    margin-bottom: -1rem;
}

.bg_white{
    background-color: white;
}

.bg_light{
    background-color: #e6e6e6;
}

.bg_blue{
    background-color: blue;
}
.bg_black{
    background-color: black;
}

.text_white{
    color: white;
}

.text_light{
    color: #e6e6e6;
}


.text_blue{
    color: blue;
}


.text_black{
    color: black;
}


.my_ctnr{
    max-width: 100%;
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
}

.my_row {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: -1rem;
    margin-right: -1rem;
}

.my_col_md_1,
.my_col_md_2, 
.my_col_md_3,
.my_col_md_4, 
.my_col_md_5, 
.my_col_md_6, 
.my_col_md_7, 
.my_col_md_8, 
.my_col_md_9, 
.my_col_md_10, 
.my_col_md_11, 
.my_col_md_12{
    max-width: 100%;
    position: relative;
    padding-left: 1rem;
    padding-right: 1rem;
}

.bgbrown{
    background-color: #666;
    color: beige;
}

.btn {
    background: #a85a29;
    color: beige;
    font-size: .9rem;
    font-family: inherit;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}


.btn:hover {
  transform: scale(1.15);
  box-shadow: 0 8px 16px rgba(0,0,0,0.2);
}




@media screen and (min-width: 768px) {
    .my_row{
        flex-direction: row
    }


    .my_col_md_12 {
        max-width: 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
    }


    .my_col_md_11{
        max-width: 91.666%;
        -ms-flex: 0 0 91.666%;
        flex: 0 0 91.666%;

    }


    .my_col_md_10{
        max-width: 83.333%;
        -ms-flex: 0 0 83.333%;
        flex: 0 0 83.333%;
    }

    .my_col_md_9{
        max-width: 74.999%;
        -ms-flex: 0 0 74.999%;
        flex: 0 0 74.999%;
    }

    .my_col_md_8{
        max-width:  66.666%;
        -ms-flex: 0 0 66.666%;
        flex: 0 0 66.666%;

    }

    .my_col_md_7{
        max-width: 58.333%;
        -ms-flex: 0 0 58.333%;
        flex: 0 0 58.333%;
    }

    .my_col_md_6{
        max-width: 50%;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;

    }

    .my_col_md_5{
        max-width: 41.666%;
        -ms-flex: 0 0 41.666%;
        flex: 0 0 41.666%;

    }

    .my_col_md_4{
        max-width: 33.333%;
        -ms-flex: 0 0 33.333%;
        flex: 0 0 33.333%;
    }

    .my_col_md_3{
        max-width: 25%;
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;

    }

    .my_col_md_2{
        max-width: 16.666%;
        -ms-flex: 0 0 16.666%;
        flex: 0 0 16.666%;

    }

    .my_col_md_1{
        max-width: 8.333%;
        -ms-flex: 0 0 8.333%;
        flex: 0 0 8.333%;

    }

    .gap{
        gap: 0;
    }

    .imgsize{
        display: block;
    }

}

@media screen and (max-width: 768px) {
    .nav-link-wrap {
        display: none; /* Hide menu by default on mobile */
        flex-direction: column;
        position: absolute;
        background: beige;
        width: 100%;
        top: 60px;
        left: 0;
        gap: 15px;
        text-align: center;
    }




    .nav-link-wrap.active {
        display: flex; /* Show menu when toggled */
        flex-direction: column;
        padding-bottom: 2rem;
        padding-top: 2rem;
    }

    .menu-toggle {
    display: block; /* Show hamburger icon */
    }

    
    .heroContent{
        font-size: 20px;
    }

    .txtLeft{
        text-align: left;
    }
    
    .mt_n6{
        margin-top: -6rem;
    }

}

